package com.xy.utils.enums;

import lombok.Getter;

/**
 * <p>
 * 设备故障编码枚举
 * </p>
 *
 * @author hechunping
 * @since 2023/3/3
 */
@Getter
public enum DeviceErrorRecordTypesEnum {

    NET("D011", "联网故障"),

    DOOR_LOCK("D012", "门锁故障"),

    T("D013", "温控仪故障"),

    LIGHT("D014", "灯光故障"),

    CAMERA("D015", "摄像头故障"),

    COMPRESSOR("D016", "压缩机故障"),

    ;
    private String code;
    private String msg;

    DeviceErrorRecordTypesEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

}